Subject: Re: [MMUSIC] FW: I-D Action: draft-schwarz-sdp-for-gw-01.txt

From: Christian Groves <[email-masked]>
Date: Fri, 04 Apr 2014 12:43:19 +1100

Hello Albrecht,

Thanks for submitting the draft. I support the addition of the extra 
<proto> codepoints for scenarios where a gateway performs application 
agnostic inter working. In general the background to H.248/Megaco usage 
of SDP is good but I'm not sure if the reasons for the new codepoints 
are documented sufficiently in the draft.

Some specific comments below:
Clause 1.4 Scope: I propose to word this slightly differently to 
indicate the scope is the collection of SDP codepoints for GCPs in order 
to identify additional ones that REQUIRE registration with IANA.

Clause 4: There appears to be some duplication in the headings, i.e. 4 
and 4.5. Perhaps also "<proto> element" needs to be removed from the 
title of heading 4 as clause 4.4 covers the <type> element?

Clause 4.1 Purpose, Last Para: To me this is the reason for the entire 
draft. The draft has cataloged how SDP is used by GCPs(H.248/Megaco) 
however hasn't really gone into much depth on why the additional 
codepoints are needed. Perhaps a paragraph for each additional codepoint 
could be added indicating where it is used/needed?

Clause 4.4: I think the draft could indicate that H.248 uses the 
<attrtype> values as defined on the IANA registry and no additional IANA 
registrations are required.

Clause 5.1: I think it would be good to note that this has already been 
registered with IANA.

Clause 7.1: TCP/TLS is already registered. See RFC4572 clause 4. However 
I'm not sure that in the case of agnostic interworking that the MUST 
indicated in that clause (/An 'm' line that specifies 'TCP/TLS' MUST 
further qualify the protocol using a fmt identifier to indicate the 
application being run over TLS./) applies.

I've also noticed some other minor editorial issues that i'll forward to 
you off-line.

Regards, Christian

On 27/03/2014 8:48 PM, Schwarz, Albrecht (Albrecht) wrote:
> fyi, this is a spin off activity from
> 	draft-ietf-mmusic-udptl-dtls
> in order to define additional codepoints as required for DTLS security session termination (so called end-to-access edge security mode) and DTLS transparent forwarding (e.g. as part of end-to-end security mode) in middleboxes.
> -Albrecht
>
> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Donnerstag, 27. März 2014 10:03
> To: [email-masked]
> Subject: I-D Action: draft-schwarz-sdp-for-gw-01.txt
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
>
>          Title           : SDP codepoints for gateway control
>          Author          : Albrecht Schwarz
> 	Filename        : draft-schwarz-sdp-for-gw-01.txt
> 	Pages           : 12
> 	Date            : 2014-03-27
>
> Abstract:
>     SDP is used in many signalling protocols at call control level (such
>     as SAP, SIP, BICC), bearer control level (such as RTSP, IPBCP) and
>     gateway control level (such as H.248/MEGACO, MGCP). Scope of this RFC
>     is related to gateway control specific SDP usage. Gateway control
>     protocols do usually NOT define and introduce any new SDP parameters,
>     however, gateway control protocols need specific SDP parameter values
>     in addition to SDP usage at call or bearer control level. Such SDP
>     codepoints are collected by this RFC with the purpose of registration
>     with IANA.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-schwarz-sdp-for-gw/
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-schwarz-sdp-for-gw-01
>
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-schwarz-sdp-for-gw-01
>
>
> Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Fri, 11 Apr 2014 07:45:32 +0000

Hello Christian,
thanks for review and comments.
Agree to all enhancement proposals.
Good catch concerning RFC 4572.
There should be an update -02 available today.
Regards,
Albrecht

-----Original Message-----
From: mmusic [mailto:[email-masked]] On Behalf Of Christian Groves
Sent: Freitag, 4. April 2014 03:43
To: [email-masked]
Subject: Re: [MMUSIC] FW: I-D Action: draft-schwarz-sdp-for-gw-01.txt

Hello Albrecht,

Thanks for submitting the draft. I support the addition of the extra <proto> codepoints for scenarios where a gateway performs application agnostic inter working. In general the background to H.248/Megaco usage of SDP is good but I'm not sure if the reasons for the new codepoints are documented sufficiently in the draft.

Some specific comments below:
Clause 1.4 Scope: I propose to word this slightly differently to indicate the scope is the collection of SDP codepoints for GCPs in order to identify additional ones that REQUIRE registration with IANA.

Clause 4: There appears to be some duplication in the headings, i.e. 4 and 4.5. Perhaps also "<proto> element" needs to be removed from the title of heading 4 as clause 4.4 covers the <type> element?

Clause 4.1 Purpose, Last Para: To me this is the reason for the entire draft. The draft has cataloged how SDP is used by GCPs(H.248/Megaco) however hasn't really gone into much depth on why the additional codepoints are needed. Perhaps a paragraph for each additional codepoint could be added indicating where it is used/needed?

Clause 4.4: I think the draft could indicate that H.248 uses the <attrtype> values as defined on the IANA registry and no additional IANA registrations are required.

Clause 5.1: I think it would be good to note that this has already been registered with IANA.

Clause 7.1: TCP/TLS is already registered. See RFC4572 clause 4. However I'm not sure that in the case of agnostic interworking that the MUST indicated in that clause (/An 'm' line that specifies 'TCP/TLS' MUST further qualify the protocol using a fmt identifier to indicate the application being run over TLS./) applies.

I've also noticed some other minor editorial issues that i'll forward to you off-line.

Regards, Christian

---

From: "Belling, Thomas (NSN - DE/Munich)" <[email-masked]>
Date: Fri, 11 Apr 2014 17:40:20 +0000

Hi Albrecht,

thanks for your attempt to register the codepoints in Clause 8 of your draft at IANA. I understand this is the main intention of this draft and a internet draft seems indeed required for that purpose.

Perhaps you should choose a filename containing "mmusic", e.g. "draft-schwarz-mmusic-sdp-for-gw" to direct new version notifications and discussions to the proper group. I understand a version 2 of the draft is now available.

I believe clauses 1 and 2 are rather long and could be shortened a bit. Is all the history essential and are all abbreviations and conventions really used within the draft?

Regards, Thomas

-----Original Message-----
From: mmusic [mailto:[email-masked]] On Behalf Of ext Christian Groves
Sent: Friday, April 04, 2014 3:43 AM
To: [email-masked]
Subject: Re: [MMUSIC] FW: I-D Action: draft-schwarz-sdp-for-gw-01.txt

Hello Albrecht,

Regards, Christian

---

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Mon, 28 Apr 2014 15:47:30 +0000

Thanks for support of this activity Thomas!
to filename: dependent on adoption by MMUSIC of this draft
to introductory text: the lenghty background was motivated by the fact that this draft doesn't originate in MMUSIC itself, hence we need to provide more description (than for the H.248 experts community in ITU-T).

Regards,
Albrecht

-----Original Message-----
From: Belling, Thomas (NSN - DE/Munich) [mailto:[email-masked]] 
Sent: Freitag, 11. April 2014 19:40
To: Schwarz, Albrecht (Albrecht); [email-masked]
Subject: RE: [MMUSIC] FW: I-D Action: draft-schwarz-sdp-for-gw-01.txt

Hi Albrecht,

Regards, Thomas

-----Original Message-----
From: mmusic [mailto:[email-masked]] On Behalf Of ext Christian Groves
Sent: Friday, April 04, 2014 3:43 AM
To: [email-masked]
Subject: Re: [MMUSIC] FW: I-D Action: draft-schwarz-sdp-for-gw-01.txt

Hello Albrecht,

Regards, Christian